// Implementation ConfigAction
//
// Copyright Matthias Gaertner, Schenefeld, Germany, 2001
// You may use this code under the terms of the GPL.
// Updated packages may be found at http://www.rtner.de/sled/
//

#include <ConfigAction.h>


ConfigAction::ConfigAction() :
	SledConfigClass("ACTION"),
	_state(1),
	_next(1)
{
}

ConfigAction::~ConfigAction()
{
}

// 0: OK else error
int ConfigAction::feedLine( IConfigLine *icf )
{
	int r = 0;
	if( (r=icf->scanNonEmptyString( "GROUP", &_group )) >= 0 )
	{
		return r;
	}
	if( (r=icf->scanNonEmptyString( "COMMAND", &_command )) >= 0 )
	{
		return r;
	}
	if( (r=icf->scanPositiveInt( "STATE", &_state )) >= 0 )
	{
		return r;
	}
	if( (r=icf->scanPositiveInt( "NEXT", &_next )) >= 0 )
	{
		return r;
	}
	return 1;
}

// 0: OK else error
int ConfigAction::checkOK()
{
	if( _group.isEmpty() )
	{
		return 360;
	}
	if( _command.isEmpty() )
	{
		return 361;
	}
	return 0;
}

const SimpleString &ConfigAction::getGroup( void )
{
	return _group;
}

const SimpleString &ConfigAction::getCommand( void )
{
	return _command;
}

unsigned int ConfigAction::getState( void )
{
	return _state;
}

unsigned int ConfigAction::getNext( void )
{
	return _next;
}

/* */
