// Class definition for ConfigLed
//
// Copyright Matthias Gaertner, Schenefeld, Germany, 2001
// You may use this code under the terms of the GPL.
// Updated packages may be found at http://www.rtner.de/sled/
//

#ifndef __CONFIGLED_H
#define __CONFIGLED_H

#include <SledConfigClass.h>


class ConfigLed : public SledConfigClass
{
public:
	ConfigLed();
	~ConfigLed();

	// 0: OK else error
	int feedLine( IConfigLine *icf );

	// 0: OK else error
	int checkOK();


	int getMode( void );
	unsigned int getDutyCycleOn( void );
	unsigned int getDutyCycleOff( void );
	unsigned int getPhysical( void );

	unsigned int getCycle( void );
	void setCycle( unsigned int );
	int getFlashNumber( void );
	void setFlashNumber( int );


protected:
	SimpleString	_name;
	int				_mode;
	unsigned int	_dutyCycleOn;
	unsigned int	_dutyCycleOff;
	unsigned int	_physical;

	// application state information
	unsigned int	_cycle;
	int				_flashnumber;
};

#endif /* __CONFIGLED_H */

/* */
