// interface definition for ConfigLine
//
// Copyright Matthias Gaertner, Schenefeld, Germany, 2001
// You may use this code under the terms of the GPL.
// Updated packages may be found at http://www.rtner.de/sled/
//
//
// This class abstracts a configuration line of the form
//   Token[=[Data]]

#ifndef __CONFIG_LINE_H
#define __CONFIG_LINE_H

#include <stdio.h>
#include <IConfigLine.h>

class ConfigLine : public IConfigLine
{
public:
	ConfigLine();
	~ConfigLine();

	void feed( IConfigurationSource * );

	void feed( const char * );
	void feed( const unsigned char * );
	void feed( const SimpleString & );
	void feed( const SimpleString * );

	bool isComment() const;
	const SimpleString &getToken() const;
	const SimpleString &getData() const;
	bool hasData() const;
	bool isSection() const;

protected:
	SimpleString	_token;
	SimpleString	_data;
	bool			_hasData;
	bool			_isComment;
	bool			_isSection;
};

#endif /* __CONFIG_LINE_H */

/* */
