// Interface definition for IConfigClass
//
// Copyright Matthias Gaertner, Schenefeld, Germany, 2001
// You may use this code under the terms of the GPL.
// Updated packages may be found at http://www.rtner.de/sled/
//

#ifndef __SLEDCONFIGCLASS_H
#define __SLEDCONFIGCLASS_H

#include <IConfigClass.h>


struct ConfigClassListElement
{
	ConfigClassListElement();
	~ConfigClassListElement();

	struct ConfigClassListElement *_next;
	IConfigClass *_c;
};

class SledConfigClass : public IConfigClass
{
public:
	SledConfigClass();
	SledConfigClass( const char * );
	~SledConfigClass ();

	const SimpleString &getClassName( void ) const;


	void addSubelement( IConfigClass * );
	void resetIter( void );
	IConfigClass *getNextIter( void );

protected:
	SimpleString _classname;

	struct ConfigClassListElement *_l;
	struct ConfigClassListElement *_cursor;
};

#endif /* __SLEDCONFIGCLASS_H */

/* */
