// Class definition for SledExecutor
//
// Copyright Matthias Gaertner, Schenefeld, Germany, 2001
// You may use this code under the terms of the GPL.
// Updated packages may be found at http://www.rtner.de/sled/
//

#ifndef __SLEDEXECUTOR_H
#define __SLEDEXECUTOR_H

#include <stdio.h>
#include <SledConfiguration.h>
#include <ConfigAction.h>
#include <ConfigLed.h>


class SledExecutor
{
public:
	SledExecutor();
	~SledExecutor();

	int start( SledConfiguration * );
	int execute( void );
	int stop();

protected:
	unsigned int		_countButtonPressed;
	int					_fd;
	SledConfiguration	*_sc;

	int	_buttonPressed( void );
	int _setLED( int n, bool on_off );
	int _execute( ConfigAction *ca );
	int _buttonPressDetected( void );
	int _handleLEDs( void );
	int _handleLED( ConfigLed *cl );

#ifdef SIMULATION
	int _press;
#else
	int	_lstate;
#endif
	int _getRunlevel( void );
};

#endif /* __SLEDEXECUTOR_H */

/* */
